Subject: Re: bug#71282: 30.0.50; hl-line overlay priority has no affect

From: João Távora <[email-masked]>
Date: Sun, 30 Jun 2024 19:09:45 +0100

On Sun, Jun 30, 2024, 18:37 Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Sun, 30 Jun 2024 16:50:32 +0100
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > On Sun, Jun 30, 2024 at 4:34 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > The mechanism exists: find the face of the buffer text, and use it (or
> > > some of its attributes, like background color) in determining the face
> > > of the overlay string.
> >
> > Then if that mechanism doesn't require anything specific of package X or
> > Y, it should be possible to condense in a function (that shouldn't live
> in
> > Eglot, but OK it it starts life there, I guess) that takes a face with
> > a number of
> > attributes,merges with whatever is "the face of the buffer text" and
> return
> > an (anonymous) face.  If so, then that "mistery" function is the fix
> > to this issue.
>
> Patches welcome.
>

No need, not for this at last. I've already explained how it doesn't fix
the problem, but anyone is free to experiment.